import type { HostRuleSearchResult } from '../../../types';
import type { ToolConstraint } from '../../../util/exec/types';
import { id as composerVersioningId } from '../../versioning/composer';
import type { UpdateArtifactsConfig } from '../types';
import type { ComposerConfig, ComposerLock } from './types';
export { composerVersioningId };
export declare function getComposerArguments(config: UpdateArtifactsConfig, toolConstraint: ToolConstraint): string;
export declare function getPhpConstraint(constraints: Record<string, string>): string | null;
export declare function requireComposerDependencyInstallation(lock: ComposerLock): boolean;
export declare function extractConstraints(composerJson: ComposerConfig, lockParsed: ComposerLock): Record<string, string>;
export declare function findGithubToken(searchResult: HostRuleSearchResult): string | undefined;
export declare function isGithubPersonalAccessToken(token: string): boolean;
export declare function isGithubServerToServerToken(token: string): boolean;
export declare function isGithubFineGrainedPersonalAccessToken(token: string): boolean;
export declare function takePersonalAccessTokenIfPossible(githubToken: string | undefined, gitTagsGithubToken: string | undefined): string | undefined;
export declare function isArtifactAuthEnabled(rule: HostRuleSearchResult): boolean;
